module Dunlop
  class UserFilterSerializer < ActiveModel::Serializer
    # manual key transform to preserve filters lowercases
    type 'dunlop/user-filter'
    attribute :name
    attribute :description
    attribute :scope_key, key: 'scope-key'
    attribute :filters
    attribute :is_default, key: 'is-default'
  end
end
